%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Coupled class for LaTeX files                 v1.1 Feb-23-2000 %%
%%                                                                %%
%% The regular article class commands still exist and may be used.%%
%% 10pt, 11pt and twocolumn options are disabled.                 %%
%%                                                                %%
%% \maketitle make the first page automatically                   %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}
%\ProvidesClass{coupled}[2009/06/8-11 COUPLED paper class]

\DeclareOption{10pt}{\OptionNotUsed}
\DeclareOption{11pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}


\ProcessOptions\relax

\LoadClass[12pt]{article}

 \usepackage{geometry}
 \geometry{
 a4paper,
 total={210mm,297mm},
 left=25mm,
 right=25mm,
 top=25mm,
 bottom=25mm,
 %textheight=225mm,
 %footskip=20mm,
 %voffset=-25mm,
 }
 
\RequirePackage{calc}
%\RequirePackage{indentfirst}
% Title

	

\renewcommand{\maketitle}{%
 \newpage
 \thispagestyle{plain}
 \begin{minipage}[t][-12mm][b]{1,0\textwidth}
   \scriptsize
\noindent\begin{tabular}{lll}
 Abstract Submission - Symposium on ECE - DCE17, 1:1 (2017) & \hspace{35 mm} &  Received: 1 February, 2017 \\
 ISSN: XXXX-XXXX & &  Revised: 15 February, 2017 \\
 DOI: 10.XXXX/XXXX-XXXX.XXXX.XXX.XXX.XXX-XXX & & Published: 24 February, 2017 
\end{tabular}
 \end{minipage}
%\begin{center} 
%%\begin{minipage}{,8\textwidth}
%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
 \begin{center}%
  \vspace{10mm}%
  {%3
   \fontsize{14}{16}\selectfont
   \bfseries
   \begin{minipage}{120mm}
   \begin{center}
    \@title
    \end{center}
    \end{minipage}
   \par
  }%3
  %\vspace{18pt}%
 \vspace{12pt}%
  {%4
\fontsize{12}{14}\selectfont
      \begin{minipage}{120mm}
   \begin{center}
   \@author
    \end{center}
    \end{minipage}
   \par
  }%4
  %\vspace{14pt}%
  \vspace{3pt}%
  {%5
\fontsize{9}{12}\selectfont
   %\def\and{\\\vspace{14pt}}
\def\and{\\\vspace{13pt}}
\begin{minipage}{120mm}
   \footnotesize\@address
    \end{minipage}
   \par
  }%5
 \end{center}
 %\vspace{18pt}%
 \vspace{12pt}%
 \begin{center}
 \begin{minipage}{120mm}
 %\noindent\small\textbf{Abstract\\\space}{\small\@abstract}
 \par
 %\vspace{18pt}%
 %\vspace{11pt}%
 \noindent\small\textbf{Author Keywords.\space}\small\@keywords
 \par 
\vspace{18pt}%
 %\vfill
 %\newpage
\end{minipage}
\end{center}
}% End of \@maketitle



	

\def\author{\@ifnextchar[{\@getshortauthor}{\@getauthor}}
\def\@getauthor#1{\gdef\@author{#1}\gdef\@shortauthor{#1}}
\def\@getshortauthor[#1]#2{\gdef\@shortauthor{#1}\gdef\@author{#2}}

\newcommand{\address}[1]{\gdef\@address{#1}}

\newcommand{\keywords}[1]{\gdef\@keywords{#1}}

\renewcommand{\abstract}[1]{\gdef\@abstract{#1}}

\newcommand{\heading}[1]{\gdef\@heading{#1}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\ps@myheadings{%
    \def\@oddfoot{\scriptsize\hfil\bf\thepage}
    \let\@evenfoot\@oddfoot
    \def\@evenhead{%
        %\parbox[t][11.5pt][t]{\textwidth}%
\parbox[t][12.5pt][t]{\textwidth}{
        %\centering
        \scriptsize
        %\fontsize{10}{10}\selectfont
        \@heading\\
%\vspace{-2cm}
        %\rule{\textwidth}{0.5pt}% %remover linha 
     }
    }%
    \let\@oddhead\@evenhead
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\ps@myfirstheadings{%
    \def\@oddfoot{\scriptsize\hfil\bf\thepage}
    \let\@evenfoot\@oddfoot
    \def\@evenhead{%
        %\parbox[t][11.5pt][t]{\textwidth}%
\parbox[t][12.5pt][t]{\textwidth}{
        \centering
        \scriptsize
       % \fontsize{10}{10}\selectfont
\vspace{-.2cm}
        %\rule{\textwidth}{0.5pt}% %remover linha 
     }
    }%
    \let\@oddhead\@evenhead
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\sectionLevel{1}
\def\sectionIndent{0pt}
\def\sectionSpaceBefore{4pt}
\def\sectionSpaceAfter{4pt}
\def\sectionStyle{\normalsize\bfseries}

\renewcommand{\section}{%
  \@startsection{section}{\sectionLevel}{\sectionIndent}{\sectionSpaceBefore}%
                {\sectionSpaceAfter}{\sectionStyle}}%


\def\sectionLevel{2}
\def\sectionIndent{0pt}
\def\sectionSpaceBefore{4pt}
\def\sectionSpaceAfter{4pt}
\def\subsectionStyle{\normalsize\bfseries\itshape}

\renewcommand{\subsection}{%
  \@startsection{subsection}{\sectionLevel}{\sectionIndent}{\sectionSpaceBefore}%
                {\sectionSpaceAfter}{\subsectionStyle}}%


\renewcommand{\@makecaption}[2]{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\normalsize\fontsize{10}{12}\selectfont {\bf #1}: #2}%
  \ifdim \wd\@tempboxa >\hsize
    \normalsize\fontsize{10}{12}\selectfont {\bf #1}: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}

%\renewenvironment{thebibliography}[1]
%  {%\newpage
%   \section*{\refname\@mkboth{\refname}{\refname}}%
%   \list{\@biblabel{\@arabic\c@enumiv}}%
%        {\settowidth\labelwidth{\@biblabel{#1}}%
%         \leftmargin\labelwidth
%         \advance\leftmargin\labelsep
%         \@openbib@code
%         \usecounter{enumiv}%
%         \let\p@enumiv\@empty
%         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
%   \sloppy
%   \clubpenalty4000
%   \@clubpenalty \clubpenalty
%   \widowpenalty4000%
%   \sfcode`\.\@m}
%  {\def\@noitemerr
%   {\@latex@warning{Empty `thebibliography' environment}}%
%   \endlist}
   

%\setlength{\oddsidemargin}{0mm}
%\setlength{\textheight}{215mm}
%\setlength{\textwidth}{160mm}
\setlength{\textfloatsep}{2pt}
\setlength{\abovedisplayskip}{1pt}
\setlength{\belowdisplayskip}{1pt}
%\setlength{\parindent}{5mm}
\setlength{\abovecaptionskip}{1pt}
\setlength{\belowcaptionskip}{1pt}
%\setlength{\itemsep}{0pt}

\setlength{\parindent}{0pt} % removes all indentations
\setlength{\footskip}{22,5mm}
\setlength{\voffset}{-25,4mm}
\setlength{\topmargin}{5mm}
\setlength{\headsep}{12mm}
\setlength{\parindent}{0pt} % removes all indentations
\setlength{\footskip}{22,5mm}
\setlength{\voffset}{-25,4mm}
\setlength{\topmargin}{5mm}
\setlength{\headsep}{12mm}

\AtBeginDocument{%
  \pagestyle{myheadings}
  \maketitle
  \let\maketitle\relax
}

\endinput
